totemnet_instance Struct Reference
Collaboration diagram for totemnet_instance:
[legend]

## Data Fields

void * | transport_context
struct transport * | transport
void(* | totemnet_log_printf )(int level, int subsys, const char *function, const char *file, int line, const char *format,...) __attribute__((format(printf
void int | totemnet_subsys_id

## Detailed Description

Definition at line 249 of file totemnet.c.

## Field Documentation

## totemnet_log_printf

void(* totemnet_instance::totemnet_log_printf) (int level, int subsys, const char *function, const char *file, int line, const char *format,...) __attribute__((format(printf

Definition at line 253 of file totemnet.c.

## totemnet_subsys_id

void int totemnet_instance::totemnet_subsys_id

Definition at line 262 of file totemnet.c.

## transport

struct transport* totemnet_instance::transport

Definition at line 252 of file totemnet.c.

Referenced by totemnet_buffer_alloc(), totemnet_buffer_release(), totemnet_crypto_reconfigure_phase(), totemnet_crypto_set(), totemnet_finalize(), totemnet_iface_check(), totemnet_iface_set(), totemnet_ifaces_get(), totemnet_initialize(), totemnet_mcast_flush_send(), totemnet_mcast_noflush_send(), totemnet_member_add(), totemnet_member_remove(), totemnet_member_set_active(), totemnet_net_mtu_adjust(), totemnet_nodestatus_get(), totemnet_processor_count_set(), totemnet_reconfigure(), totemnet_recv_flush(), totemnet_recv_mcast_empty(), totemnet_send_flush(), totemnet_stats_clear(), totemnet_token_send(), and totemnet_token_target_set().

## transport_context

void* totemnet_instance::transport_context

Definition at line 250 of file totemnet.c.

Referenced by totemnet_crypto_reconfigure_phase(), totemnet_crypto_set(), totemnet_finalize(), totemnet_iface_check(), totemnet_iface_set(), totemnet_ifaces_get(), totemnet_initialize(), totemnet_mcast_flush_send(), totemnet_mcast_noflush_send(), totemnet_member_add(), totemnet_member_remove(), totemnet_member_set_active(), totemnet_net_mtu_adjust(), totemnet_nodestatus_get(), totemnet_processor_count_set(), totemnet_reconfigure(), totemnet_recv_flush(), totemnet_recv_mcast_empty(), totemnet_send_flush(), totemnet_stats_clear(), totemnet_token_send(), and totemnet_token_target_set().

The documentation for this struct was generated from the following file:

- totemnet.c